1. ilidiankid

    ilidiankid Newbie
    Newcomer

    Joined:
    Jul 18, 2010
    Messages:
    5
    Country:
    United States
    Guys please help...I think I'm also in a similar position. N3DSLL region changed to have English userface on 9.2. I tried updating A9LH. got, the the green success prompt, pressed Start to turn off device and now I can't boot it back up. Screen stays black after turning on, blue power light stays on though. Can't load into Hourglass...I tried the solutions for "black screen" cases here https://3ds.guide/troubleshooting but still no dice...If hardmod is the only solution, how do I do it?
     
  2. Majickhat55

    Majickhat55 The Red Woman
    Member

    Joined:
    Mar 28, 2016
    Messages:
    4,926
    Country:
    United States
    So even after reading this and went ahead and updated my A9LH as per the guide. The same thing happened to me. Both black screens, no sound, no payloads loading etc etc. When I took the SD card and tried to boot though it went out almost immediately so I knew I still had A9LH installed. Guess what fixed it? Renaming the payload to arm9loaderhax_si.bin instead. Now everything is working just fine. Whew! I scared myself haha
     
    Quantumcat likes this.
  3. theplumber

    theplumber Member
    Newcomer

    Joined:
    Jan 4, 2017
    Messages:
    14
    Country:
    *Edit: I misread - you were in the process of updating A9LH.

    For a list of hardmodders, check out GBATemp's List of hardmod installers by region
     
    Last edited by theplumber, Jan 16, 2017
  4. kublai

    kublai GBAtemp Fan
    Member

    Joined:
    May 29, 2008
    Messages:
    452
    Country:
    United States
    Did it brick after you installed SafeA9LHInstaller?
     
  5. Distrance

    Distrance 矢澤にこ
    Member

    Joined:
    Nov 23, 2008
    Messages:
    1,147
    Country:
    Finland
    Is there any reason to update A9LH in the first place? If it ain't broken don't fix it? Why even attempt messing with something that could potentially cause a brick for no benefit whatsoever? While updating A9LH *should* be safe, you're still messing with things that have the potential to brick your console .. For what reason?
     
  6. kublai

    kublai GBAtemp Fan
    Member

    Joined:
    May 29, 2008
    Messages:
    452
    Country:
    United States
    I updated my A9LH because I had an older version that would not allow me to boot without SDCard so I followed that guide and updated my A9LH and it bricked my 3DS as well because I used the wrong SafeInstaller for my O3DS since it did not say which version of Safeinstaller to use. The full install guide however does tell you.
     
  7. Distrance

    Distrance 矢澤にこ
    Member

    Joined:
    Nov 23, 2008
    Messages:
    1,147
    Country:
    Finland
    I mean that's a fair point but I'd say that was on you still .. Anyone who's seeking to update A9LH should at the very minimum research greatly in advance just to be safe. I don't know about you but if I was to update my A9LH I'd rather be annoying and ask stupid/annoying questions on this forum till I understood 100% what I'm doing and with what am I doing it with rather than just doing it on my own and risk a brick :x
     
  8. Majickhat55

    Majickhat55 The Red Woman
    Member

    Joined:
    Mar 28, 2016
    Messages:
    4,926
    Country:
    United States
    If you already have A9LH the update files are compatible with all system models, so that's not the issue. Like I said, some people may have a screen init version try renaming your arm9loaderhax.bin to arm9loaderhax_si.bin. It won't hurt you to try right? It fixed my issue. Anyhow, the only really way you could brick is by using incompatible versions of the A9LH payloads and the installer. With the most current version as downloaded per the guide, works just fine and they are compatible (by that I mean the realesez.zip payload stages, the data_inputv4 secret sector and FIRM 0/1.bin, as well as SafeA9LHInstaller v2.6.7) so if you downloaded the files directly from the guide, I don't see a reason why anyone should brick.
     
  9. kublai

    kublai GBAtemp Fan
    Member

    Joined:
    May 29, 2008
    Messages:
    452
    Country:
    United States
    It was my bad for not reading and reasearching before doing the updgrade as it's been many months since I did the last upgrade and didn't know there were different versions of SafeInstaller for Old and New 3DS.
     
  10. Majickhat55

    Majickhat55 The Red Woman
    Member

    Joined:
    Mar 28, 2016
    Messages:
    4,926
    Country:
    United States
    Well the main reason to update A9LH for most people is to be able to use SDless booting. Also, a lot of people still have v1 if they installed before June last year, and later versions allow larger payloads (Not that it really matters now, but it might in the future). My argument was the same as yours, don't fix what isn't broke but I feared falling out of date when sighax is so close might do more harm than good later.

    — Posts automatically merged - Please don't double post! —

    There isn't......
     
  11. kublai

    kublai GBAtemp Fan
    Member

    Joined:
    May 29, 2008
    Messages:
    452
    Country:
    United States
    Yes there are different versions depending on Old or New 3DS that's how I bricked mine. Go read the Github for SafeIntsaller.
     
  12. Majickhat55

    Majickhat55 The Red Woman
    Member

    Joined:
    Mar 28, 2016
    Messages:
    4,926
    Country:
    United States
    The latest version that you should be using is for either one. Otherwise I'm pretty sure the section of the guide here would have two separate mirrors for updating. NO where in that guide does it offer two mirrors for SafeA9LHInstaller. Can you give me a link to the one you're referring to? Because neither version linked in the guide suggest by everyone has two versions per model.

    — Posts automatically merged - Please don't double post! —

    If you're following "THE guide" you should never be using SafeA9lHInstaller version over 2.x with the payloads supplied or you will brick. So if you used like 3.0 with the files in data_inputv4 it's a sure brick.
     
  13. kublai

    kublai GBAtemp Fan
    Member

    Joined:
    May 29, 2008
    Messages:
    452
    Country:
    United States
    I used either 2.6.6 or 2.6.7 at the time when I upgrdaed my A9LH back around November so whichever was the latest version from the guide. This version appears to be only for N3DS and not the O3DS as it needed to use v2.0.5 or 2.0.6 I can't remember and I'm too lazy to look up the link but it's in the Github somewhere.
     
  14. Majickhat55

    Majickhat55 The Red Woman
    Member

    Joined:
    Mar 28, 2016
    Messages:
    4,926
    Country:
    United States
    Which is why the guide links V 2.0.6 which is universal to both, just like it link v 2.6.7 to update because it's also universal for both. So... Just saying like the third most common way to brick is people using the most recent releases vs using the ones actually linked.
     
    Last edited by Majickhat55, Jan 16, 2017
    Quantumcat likes this.
  15. Majickhat55

    Majickhat55 The Red Woman
    Member

    Joined:
    Mar 28, 2016
    Messages:
    4,926
    Country:
    United States
    I literally just did an O3DS not 10 minutes ago with the files linked in the guide (AND it was freaking out and in German at the time). I was still able to install A9lH fine with the files linked. You guys just need to learn how to read thoroughly and use what's given, not what you think is best.
     
Draft saved Draft deleted
Loading...

Hide similar threads Similar threads with keywords - update, screen, Black